Package org.apache.commons.dbutils.handlers

## Class MapHandler

- java.lang.Object
- - org.apache.commons.dbutils.handlers.MapHandler

- All Implemented Interfaces:
    `ResultSetHandler<Map<String,​Object>>`

      public class MapHandler
      extends Object
      implements ResultSetHandler<Map<String,​Object>>

  `ResultSetHandler` implementation that converts the first `ResultSet` row into a `Map`. This class is thread safe.
  See Also:
    `ResultSetHandler`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MapHandler()` | Creates a new instance of MapHandler using a `BasicRowProcessor` for conversion.
    `MapHandler​(RowProcessor convert)` | Creates a new instance of MapHandler.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<String,​Object>` | `handle​(ResultSet resultSet)` | Converts the first row in the `ResultSet` into a `Map`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapHandler

          public MapHandler()

      Creates a new instance of MapHandler using a `BasicRowProcessor` for conversion.

    - #### MapHandler

          public MapHandler​(RowProcessor convert)

      Creates a new instance of MapHandler.
      Parameters:
        `convert` - The `RowProcessor` implementation to use when converting rows into Maps.

  - ### Method Detail

    - #### handle

          public Map<String,​Object> handle​(ResultSet resultSet)
                                          throws SQLException

      Converts the first row in the `ResultSet` into a `Map`.
      Specified by:
        `handle` in interface `ResultSetHandler<Map<String,​Object>>`
      Parameters:
        `resultSet` - `ResultSet` to process.
      Returns:
        A `Map` with the values from the first row or `null` if there are no rows in the `ResultSet`.
      Throws:
        `SQLException` - if a database access error occurs
      See Also:
        `ResultSetHandler.handle(java.sql.ResultSet)`